;;; By Jimmy Bergmark, JTB World, www.jtbworld.com

(defun c:SmartPurger (/ app)  
  (if (setq app (findfile (strcat (getenv "APPDATA") "/Autodesk/ApplicationPlugins/JTBW-SmartPurger.bundle/Contents/Win32/SmartPurger.exe")))
    (progn
      (startapp app)
      (princ "\nPlease wait for SmartPurger to start.")
    )
    (alert "SmartPurger.exe not found!")
  )
  (princ)
)
(defun c:SmartPurgerHelp (/ oldcmdecho oldinetlocation)
  (setq oldcmdecho (getvar "cmdecho"))
  (setvar "cmdecho" 0)
  (setq oldinetlocation (getvar "inetlocation"))
  (setvar "inetlocation" (findfile (strcat (getenv "APPDATA") "/Autodesk/ApplicationPlugins/JTBW-SmartPurger.bundle/Contents/Help/SmartPurgerHelp.htm")))
  (command "._BROWSER" "")
  (setvar "inetlocation" oldinetlocation)
 (setvar "cmdecho" oldcmdecho)
  (princ)
)
(princ)

;;;-----BEGIN-SIGNATURE-----
;;; eQcAADCCB3UGCSqGSIb3DQEHAqCCB2YwggdiAgEBMQ8wDQYJKoZIhvcNAQELBQAw
;;; CwYJKoZIhvcNAQcBoIIFKDCCBSQwggQMoAMCAQICEAwAchlt9fCR70j7Gr5soFMw
;;; DQYJKoZIhvcNAQELBQAwcjELMAkGA1UEBhMCVVMxFTATBgNVBAoTDERpZ2lDZXJ0
;;; IEluYzEZMBcGA1UECxMQd3d3LmRpZ2ljZXJ0LmNvbTExMC8GA1UEAxMoRGlnaUNl
;;; cnQgU0hBMiBBc3N1cmVkIElEIENvZGUgU2lnbmluZyBDQTAeFw0xNjAzMDMwMDAw
;;; MDBaFw0xOTAzMDcxMjAwMDBaMGExCzAJBgNVBAYTAkNBMQswCQYDVQQIEwJQRTET
;;; MBEGA1UEBxMKU1VNTUVSU0lERTEXMBUGA1UEChMOSlRCIFdvcmxkIEluYy4xFzAV
;;; BgNVBAMTDkpUQiBXb3JsZCBJbmMuMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
;;; CgKCAQEAtj+7SWRkBbfNqEGJwNrwaPZZ/t31dS15mvO2O7Whm8dWAyWD89a7ZHiB
;;; kq/abB6qDV/ip2jhSgHOuAsIldGZWbMiqnDLhkbrxcML84pg7fyFMuitNsorwXxa
;;; 5cZ0i+ZgxuHBIVoCi3LFJ5bKZNeAB5Q5pPsVqIlzS3bJ5DLUbHn7UQeqBjarlXsI
;;; SYbsZxLJmqwH/VIVMMxUPwcD6gxk0ICDQbEyWuBQa0uzUS2xkjvg0IRqc32I+nOQ
;;; Yov5IKeyuFIZWDdUsfLOXWL+WFc6E3c14oR6T7Ik7wWo87jJbHyRyjCPT4j29PNP
;;; kfvDbe1nP6+0MjjfPDhQo79lNnDjZwIDAQABo4IBxTCCAcEwHwYDVR0jBBgwFoAU
;;; WsS5eyoKo6XqcQPAYPkt9mV1DlgwHQYDVR0OBBYEFDLJrqdexP5O0E+11i/HJtcd
;;; 3s7YMA4GA1UdDwEB/wQEAwIHgDATBgNVHSUEDDAKBggrBgEFBQcDAzB3BgNVHR8E
;;; cDBuMDWgM6Axhi9odHRwOi8vY3JsMy5kaWdpY2VydC5jb20vc2hhMi1hc3N1cmVk
;;; LWNzLWcxLmNybDA1oDOgMYYvaHR0cDovL2NybDQuZGlnaWNlcnQuY29tL3NoYTIt
;;; YXNzdXJlZC1jcy1nMS5jcmwwTAYDVR0gBEUwQzA3BglghkgBhv1sAwEwKjAoBggr
;;; BgEFBQcCARYcaHR0cHM6Ly93d3cuZGlnaWNlcnQuY29tL0NQUzAIBgZngQwBBAEw
;;; gYQGCCsGAQUFBwEBBHgwdjAkBggrBgEFBQcwAYYYaHR0cDovL29jc3AuZGlnaWNl
;;; cnQuY29tME4GCCsGAQUFBzAChkJodHRwOi8vY2FjZXJ0cy5kaWdpY2VydC5jb20v
;;; RGlnaUNlcnRTSEEyQXNzdXJlZElEQ29kZVNpZ25pbmdDQS5jcnQwDAYDVR0TAQH/
;;; BAIwADANBgkqhkiG9w0BAQsFAAOCAQEAHB8f4l7wfeeqFo/xRmSjdt2zkvgO0HH+
;;; 2V9z0vVJjExRqOgR0Q0mCiUkR5nIKkXNPV4uuVezQtCY06d94cKEhHIfr7IHILfz
;;; 3TlIQ5k/70pOCZpkkBwhSKrQL2PL3ZP8w/KT4utCETUaPe8H3BPjrW4qknu9r1Pn
;;; uS15ResxJRP+VhcMTWtJh/xurQlnyZLFITZiAlIppUNT0l6HjEI/k9giYR8ti5sH
;;; AXit2Bbv2fIN6Ug01d0RXZycX83kXiwV2WHKRz3e2j11IBMtDc8a1TOkm8yLKOvz
;;; UIPdpzUSzmWZWPQukvyZACRRkhzf+USJhwj8XhWzTNnh0/d0oHBpEDGCAhEwggIN
;;; AgEBMIGGMHIxCzAJBgNVBAYTAlVTMRUwEwYDVQQKEwxEaWdpQ2VydCBJbmMxGTAX
;;; BgNVBAsTEHd3dy5kaWdpY2VydC5jb20xMTAvBgNVBAMTKERpZ2lDZXJ0IFNIQTIg
;;; QXNzdXJlZCBJRCBDb2RlIFNpZ25pbmcgQ0ECEAwAchlt9fCR70j7Gr5soFMwDQYJ
;;; KoZIhvcNAQELBQAwDQYJKoZIhvcNAQEBBQAEggEAQSCAjITvmW9nZpei+XIw+qpI
;;; 9gbRIrKPVwp06ze9HT25DbldjJDDq7LXXJuSRC4L70eh1gHN8s2rZtypYGhCEs+4
;;; 12c8ouSBiusgAc+UmICn3ZyxuJsPZQWl+W6ZZFWu15JvDJD3Za0yruS/gWDtHvIT
;;; HzkZA6SadqWULpALvjSOa43vSWXshs4V/YEDXq2maUihdZkRWznDL9A1qrEiHxPJ
;;; RwA6/nI8M6yg9oNenLrxz0Qy95EdrEsCfb70bRReGG4uDt+Q7hKrSgidLvwakDUh
;;; RJroH9G1vHuexlMDGJd7xiFMKgqdSXvYed4iKYPe3kFkKjIk65k7qMIUSCpWhKFd
;;; MFsGA1UdDjFUBFIzADcAOwAzAC8AMgAxAC8AMgAwADEANgAvADMALwAzADUALwA0
;;; ADYALwBDAFQAUwAgACgAdABpAGMAawAuAHUAYwBsAGEALgBlAGQAdQApAAAA
;;; -----END-SIGNATURE-----